[Prepare]
1. Compiler environment (See Others)

2. Boot Configuration (See Others)

[Install]
1. cd to ./driver:
  - use root
  - $ make clean
    $ make
    $ make install

2. cd to /tools
  - use root
  - $ make clean
    $ make
    $ make install

3. reboot

After these 3 steps, the driver has been loaded

[Usage]
$ sudo serial_f81504_tool

[Uninstall]
1. cd to ./driver:
  - use root
  - $ make uninstall

2. cd to ./tools:
  - use root
  - $ make uninstall

3. reboot

After these 3 steps, the driver has been unloaded

[Script]
1. add to boot
   $ sudo ./add_2_boot.sh
   $ sudo reboot

2. remove boot
   $ sudo ./remove_boot.sh
   $ sudo reboot

[Others]
1. Prepare tools:
  - Ubuntu
    $ sudo apt-get update
    $ sudo apt-get dist-upgrade
    $ sudo reboot
    $ sudo apt-get install gcc make kernel-package

2. Boot Configuration:
  - Ubuntu
    $ sudo nano /etc/default/grub
      add "8250.nr_uarts=32 initcall_blacklist=serial_pci_driver_init" to "GRUB_CMDLINE_LINUX_DEFAULT"
    $ sudo update-grub
    $ sudo reboot
